# $Id: smeserver-tw-logonscript.spec,v 1.3 2015/09/08 15:39:48 stephdl Exp $
# Authority: chriscosta
# Name: Christian Costa

%define name smeserver-tw-logonscript
%define version 1.5
%define release 3
Summary: TechnologyWise Windows/Linux logon script for Samba
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: smeserver-tw-logonscript-%{version}.tar.gz
License: GNU GPL version 2
Group: Networking/Daemons
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools
Patch0: smeserver-tw-logonscript-1.5.bz9047.Carp_declared_2_times.patch
%description
TechnologyWise Windows/Linux logon script for Samba

%prep
%setup
%patch0 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Tue Sep 08 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.5-3.sme
- Initial release to contribs9 [SME: 9047]
- added smeserver-tw-logonscript-1.5.bz9047.Carp_declared_2_times.patch

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 1.3-21.sme
- apply locale 2013-07-14 patch

* Tue Mar 20 2012 SME Translation Server <translations@contribs.org> 1.3-20.el6
- apply locale 2012-03-20 patch

* Wed Apr 27 2011 SME Translation Server <translations@contribs.org> 1.3-19.sme
- apply locale 2011-04-27 patch

* Sun Mar 06 2011 SME Translation Server <translations@contribs.org> 1.3-18.sme
- apply locale 2011-03-06 patch

* Sun May 23 2010 SME Translation Server <translations@contribs.org> 1.3-17.sme
- apply locale 2010-05-23 patch

* Tue Mar 02 2010 SME Translation Server <translations@contribs.org> 1.3-16.sme
- apply locale 2010-03-02 patch

* Thu Jan 28 2010 Christian Costa <christian@tw.co.nz> 1.3-15
- Removed %pre %preun from spec file
- Added new files under etc/e-smith/db/configuration/defaults/twlogonscript/
- Change to the main script so that it will comply with the new db name

* Wed Jan 27 2010 Christian Costa <christian@tw.co.nz> 1.3-14
- Created a new configuration database for tw-logonscript. Two properties MountPointsPath and UserHomeMountPointName have been added.
- Changed the spec file to set the default properties automatically

* Tue Dec 1 2009 Christian Costa <christian@tw.co.nz> 1.3-13
- Changed event name on createlinks to bootstrap-console-save instead of post-upgrade.

* Tue Dec 1 2009 Christian Costa <christian@tw.co.nz> 1.3-12
- Changed the createlinks script to correctly set up the templates to expand so that netlogon.bat will be expanded with workgroup-update and post-upgrade

* Thu Nov 19 2009 Christian Costa <christian@tw.co.nz> 1.3-11
- Changes to the netlogon.bat template. If no drive letters were associate to I-bays it generated errors. Also defaulted the home drive to H: in case none is set.
- Added two missing files to the workgroup-update and post-upgrade events.

* Mon Nov 16 2009 Christian Costa <christian@tw.co.nz> 1.3-10
- Changes to the SME Server panel. Now it displays a list with all groups that allows custom group batch files to be edited/created for all groups not only the ones associated with i-bays.
- Added a new lexicon to the en_us file

* Wed Nov 4 2009 Christian Costa <christian@tw.co.nz> 1.3-9
- Fixed a security problem that would allow the creation of arbitrary files on the system.

* Thu Oct 29 2009 Christian Costa <christian@tw.co.nz> 1.3-8
- Added additional pam_mount options to the .pam_mount.xml generation routine
- Changed the user's home dir mount point name from home to win_home

* Tue Oct 27 2009 SME Translation Server <translations@contribs.org> 1.3-7.sme
- apply locale 2009-10-27 patch

* Wed Oct 21 2009 SME Translation Server <translations@contribs.org> 1.3-6.sme
- apply locale 2009-10-21 patch
- cleanup changelog to be more readable

* Tue Oct 20 2009 Christian Costa <christian@tw.co.nz> 1.3-5
- Added e-smith-devtools as a build requirement

* Tue Oct 20 2009 Christian Costa <christian@tw.co.nz> 1.3-04
- Removed a blank space from the source code for testing purposes
* Thu Oct 8 2009 Christian Costa <christian@tw.co.nz>
- Added localisation support
- Added server-manager embedded custom group batch file editing
- Fixed a bug with user custom scripts that were being executed more than once

* Thu Sep 3 2009 Christian Costa <christian@tw.co.nz>
- New specs file, new version number

* Mon Aug 10 2009 Christian Costa <christian@tw.co.nz>
- Branched out from the 61netlogonshare custom script and added a new db property for smb called LogonScript

* Wed Jul 8 2009 Christian Costa <christian@tw.co.nz>
- Added .pam_mount.conf.xml generation for Linux clients using libpam-mount.

* Wed Jul 29 2008 Christian Costa <christian@tw.co.nz>
- Added a feature that maps the drive if all users are allowed to read an I-bay.
- Extended the drive letter range from F to Z.

* Wed Jul 9 2008 Christian Costa <christian@tw.co.nz>
- Added the server-manager web interface to the package.
